RanklyBee logoRanklyBee
Discovery jobs

Start prospect discovery

Requires the prospects:write scope. Discovery runs asynchronously.

POST
/workspaces/{workspaceId}/sites/{siteId}/discovery-jobs

Requires the prospects:write scope. Discovery runs asynchronously.

Authorization

bearerAuth
AuthorizationBearer <token>

Use a token created in Settings → API access.

In: header

Path Parameters

workspaceId*string

Workspace ID returned by GET /workspaces.

siteId*string

Site ID returned by GET /workspaces/{workspaceId}/sites.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

goal?string

Value in

  • "all"
  • "editorial_outreach"
  • "paid_placements"
selectedKeywords?array<string>
Itemsitems <= 10
confirmedKeywords?array<string>
Items2 <= items <= 2
refresh?boolean
Defaultfalse
requestKey?string

Required when refresh is true; reuse it to safely retry the request.

Length8 <= length <= 160

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/workspaces/string/sites/string/discovery-jobs" \  -H "Content-Type: application/json" \  -d '{}'
{  "ok": true,  "data": {    "jobId": "string",    "status": "string"  }}